# standard ting for alle konfigene

Section "Files"
	FontPath     "/usr/share/fonts/artwiz"
	FontPath     "/usr/share/fonts/misc"
	FontPath     "/usr/share/fonts/100dpi"
	FontPath     "/usr/share/fonts/75dpi"
	FontPath     "/usr/share/fonts/truetype"
	FontPath     "/usr/share/fonts/terminus"
EndSection

Section "Module"
	Load  "dbe"
	Load  "extmod"
#	Load  "glx"
	Load  "record"
	Load  "freetype"
	Load  "type1"
	#Load  "synaptics"
EndSection

Section "InputDevice"
	Identifier  "laptopkeyboard"
	Driver      "kbd"
	Option      "XkbLayout" "no"
EndSection

Section "InputDevice"
	Identifier  "usbmus"
	Driver      "mouse"
	Option      "Device" "/dev/input/mice"
	Option      "Protocol" "imPS/2"
	Option      "Emulate3Buttons" "off"
	Option      "ZAxisMapping" "4 5"
	Option	    "SendCoreEvents" "on"
EndSection

Section "InputDevice"
	Identifier  "touchpad"
	Driver      "mouse"
	Option	    "CorePointer"
	Option      "Device" "/dev/input/mouse0"
	Option      "Protocol" "PS/2"
	Option      "Emulate3Buttons" "on"
EndSection

#Section "InputDevice"
#  Identifier  	"touchpad"
#  Driver  	"synaptics"
#	Option	    "CorePointer"
#  Option 	"Device"  	"/dev/input/event2"
#  Option	"Protocol"	"auto-dev"
#  Option	"LeftEdge"      "1700"
#  Option	"RightEdge"     "5300"
#  Option	"TopEdge"       "1700"
#  Option	"BottomEdge"    "4200"
#  Option	"FingerLow"	"25"
#  Option	"FingerHigh"	"30"
#  Option	"MaxTapTime"	"180"
#  Option	"MaxTapMove"	"220"
#  Option	"VertScrollDelta" "100"
#  Option	"MinSpeed"	"0.09"
#  Option	"MaxSpeed"	"0.18"
#  Option	"AccelFactor"	"0.0015"
#  Option	"SHMConfig"	"on"
#  Option	"Repeater"	"/dev/ps2mouse"
#EndSection

Section "Monitor"
	Identifier   "vanlig"
	VendorName   "Unknown"
	ModelName    "Unknown"
	VertRefresh  50-120
	HorizSync    30-70
EndSection

# mer s�re ting.

# layout 1 - bare en skjerm.
# navn: "vanlig"

Section "ServerLayout"
	Identifier     "vanlig"
	Screen      0  "vanlig" 0 0
	InputDevice    "usbmus"
	InputDevice    "touchpad"
	InputDevice    "laptopkeyboard" "CoreKeyboard"
EndSection

Section "Device"
	Identifier  "vanlig"
	Driver      "nvidia"
	BoardName   "NVidia GeForce 4 GO 420"
	Option      "NoLogo"         "yes"
	Option      "RenderAccel"    "yes"
	Option      "CursorShadow"   "yes"
	Option	    "NvAGP" "1"
	Option      "UseEdidFreqs" "yes"
	Option      "RandRRotation" "yes"
EndSection

Section "Screen"
	Identifier "vanlig"
	Device     "vanlig"
	Monitor    "vanlig"
	DefaultDepth     24
	SubSection "Display"
		Depth     24
		Modes    "1400x1050" "1280x1024" "800x600" "640x480"
	EndSubSection
EndSection

# layout 2 - med tv
# navn: "tv"

Section "ServerLayout"
	Identifier 	"anime"
	Screen 		"anime"
	InputDevice	"touchpad" "CorePointer"
	InputDevice	"laptopkeyboard" "CoreKeyboard"
EndSection

Section "Screen"
	Identifier "anime"
	Device     "vanlig"
	Monitor    "tv"
	DefaultDepth     24
	SubSection "Display"
		Depth     24
		Modes   "800x600" "640x480"
	EndSubSection
EndSection

Section "Monitor"
	Identifier	"tv"
	HorizSync	30-50
	VertRefresh	60
EndSection

Section "ServerLayout"
	Identifier     "tv"
	Screen         "tv"
	InputDevice    "usbmus"
	InputDevice    "touchpad" "CorePointer"
	InputDevice    "laptopkeyboard" "CoreKeyboard"
EndSection

Section "Device"
	Identifier	"tv"
	Driver		"nvidia"
	Option		 "ConnectedMonitor"		"TV"
	Option      "NoLogo"         "yes"
EndSection

Section "Screen"
	Identifier	"tv"
	Device		"tv"
	Monitor		"tv"
	DefaultDepth	24
	SubSection	"Display"
		Depth	24
		Modes	"800x600" "640x480" "512x384" "400x300" "320x240"
	EndSubSection
	Option		"TVOutFormat"	"composite"
	Option		"TVStandard"	"PAL-B"
EndSection
